GDB - MingGW : Display output of target application in a separate console
Status: Rejected Start date: 05/28/2017

Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: Debugger Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

the command "set new-console on" is mswindows specific, it allows the output redirection of the program to a new console.

the patch then in Gdb.cpp:

bool Gdb::Create(One<Host>&& _host, const String& exefile, const String& cmdline, bool console)

{

....

    Cmd("set prompt " GDB_PROMPT);

    Cmd("set disassembly-flavor intel");

    Cmd("set exec-done-display off");

    Cmd("set annotate 1");

    Cmd("set height 0");

    Cmd("set width 0");

    Cmd("set confirm off");

    Cmd("set print asm-demangle");

    Cmd("set print static-members off");

    Cmd("set print vtbl off");

    Cmd("set print repeat 0");

    Cmd("set print null-stop");

    Cmd("set new-console on");   // LINE ADDED

....

}

Related issues:

Duplicates Bug # 1370: cmd.exe dosent' apper when debugging with mingw debuger Approved 01/16/2016

History

#1 - 05/29/2017 12:29 AM - Abdelghani Omari

- Category set to Debugger

#2 - 05/30/2017 09:43 PM - Zbigniew Rebacz

If it is mswindows specific then why not use:

#ifdef PLATFORM_WINDOWS

#endif
?

#3 - 06/04/2017 12:15 AM - Zbigniew Rebacz

- Target version set to Release 2017.2

-

#4 - 06/04/2017 12:42 AM - Zbigniew Rebacz

- Target version deleted (Release 2017.2)

#5 - 06/18/2017 02:52 PM - Zbigniew Rebacz

- Duplicates Bug #1370: cmd.exe dosent' apper when debugging with mingw debuger added

#6 - 06/18/2017 03:29 PM - Zbigniew Rebacz

- Status changed from Patch ready to Rejected

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Rejected due to duplication with #1370.
